from backend.models import db
from flask import current_app
import backend.controllers as ctrls
from marshmallow import ValidationError
import logging

logger = logging.getLogger(__name__)


class BaseController:
    def __init__(self):
        self.db = db
        self.current_app = current_app

    def validate_int_id(self, id_, field_name):
        """Validates that the id is an integer"""
        try:
            _ = int(id_)
        except Exception as err:
            raise ValidationError(message={field_name: ["Field must be an integer."]})
