from marshmallow import fields
from marshmallow.validate import Length, Range
from backend.models import Card
from backend.models.card import CardType
from marshmallow_enum import EnumField
from marshmallow_sqlalchemy import auto_field
from backend.schemas import BaseSchema


class CardSchema(BaseSchema):
    class Meta:
        model = Card
        load_instance = True

    id = auto_field()
    view_id = auto_field(required=False)

    view = fields.Nested("ViewSchema", only=("id", "name"), dump_only=True)

    type = EnumField(CardType)
    name = fields.String(validate=Length(min=1))
    data_columns = fields.Nested("DataColumnSchema", many=True)
    priority = fields.Integer()
