from marshmallow import fields
from marshmallow_enum import EnumField
from backend.models.connection import MultipleMatchesMode
from backend.models import Connection
from marshmallow_sqlalchemy import auto_field
from backend.schemas import BaseSchema


class ConnectionSchema(BaseSchema):
    class Meta:
        model = Connection
        load_instance = True

    id = auto_field(required=False)
    view_id = auto_field(required=False)
    test_keyword = fields.Nested("KeywordSchema")

    dataset_name = auto_field()
    keywords_column_name = auto_field()
    multiple_matches_mode = EnumField(MultipleMatchesMode)
    secondary_column_name = auto_field()
