from marshmallow import fields
from backend.models.data_column import DataColumnLabelType
from backend.models import DataColumn
from marshmallow_sqlalchemy import auto_field
from marshmallow_enum import EnumField
from backend.schemas import BaseSchema


class DataColumnSchema(BaseSchema):
    class Meta:
        model = DataColumn
        load_instance = True

    card_id = auto_field()

    name = fields.String(allow_none=True)

    label = fields.String(allow_none=True)
    label_type = EnumField(DataColumnLabelType, allow_none=False)

    priority = fields.Integer(allow_none=False)
